ru.bitel.bgbilling.modules.sorm.common.bean

## Enum Directional

- java.lang.Object
- - java.lang.Enum<Directional>
  - - ru.bitel.bgbilling.modules.sorm.common.bean.Directional

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Directional>, GuiTitlable

      public enum Directional
      extends java.lang.Enum<Directional>
      implements GuiTitlable

  Описание направленности пучков для выгрузки СОРМ

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIDIRECTIONAL`
    `INBOUND`
    `OUTBOUND`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `getGuiTitle()` Строка - имя объекта.
    `java.lang.String` | `getValue()`
    `static Directional` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Directional[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INBOUND

          public static final Directional INBOUND

    - #### OUTBOUND

          public static final Directional OUTBOUND

    - #### BIDIRECTIONAL

          public static final Directional BIDIRECTIONAL

  - ### Method Detail

    - #### values

          public static Directional[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Directional c : Directional.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Directional valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getGuiTitle

          public java.lang.String getGuiTitle()

      Description copied from interface: `GuiTitlable`
      Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
      Specified by:
        `getGuiTitle` in interface `GuiTitlable`
      Returns:
        Строка - представление объекта.

    - #### getValue

          public java.lang.String getValue()

    - #### getCode

          public int getCode()